# Uses of Class
com.ocient.cli.extract.ExtractConfiguration

Packages that use ExtractConfiguration
Package
Description
com.ocient.cli.extract
com.ocient.cli.extract.writer

## Uses of ExtractConfiguration in com.ocient.cli.extract

Fields in com.ocient.cli.extract declared as ExtractConfiguration
Modifier and Type
Field
Description
`protected final ExtractConfiguration`
ResultSetExtractor.`extractConfig`
Methods in com.ocient.cli.extract with parameters of type ExtractConfiguration
Modifier and Type
Method
Description
`static String`
RecordExtractorFactory.`resolveFileName(ExtractConfiguration extractConfig, int fileIndex)`
`protected void`
ResultSetExtractor.`sanitizeValues(List<Object> row, ExtractConfiguration config)`
Constructors in com.ocient.cli.extract with parameters of type ExtractConfiguration
Modifier
Constructor
Description
``
`WriteThroughResultSetExtractor(ExtractConfiguration config)`

## Uses of ExtractConfiguration in com.ocient.cli.extract.writer

Constructors in com.ocient.cli.extract.writer with parameters of type ExtractConfiguration
Modifier
Constructor
Description
``
`CustomTsvWriter(Writer writer, com.univocity.parsers.tsv.TsvWriterSettings settings, ExtractConfiguration config)`